> For the complete documentation index, see [llms.txt](https://docs.superiormc.cn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.superiormc.cn/itemsadder-doc/wu-pin/wu-pin-gua-gou.md).

# 物品挂钩

一般情况下，第三方插件会主动会和 **ItemsAdder** 挂钩，所以你可以在它们的 **Wiki** 查看相关信息。但是，如果这个第三方插件使用的人数、规模等比 **ItemsAdder** 还大的话，**ItemsAdder** 则主动跟这个第三方插件挂钩以增加用户人数。~~（所以说，这是有阶级性的！）~~

下文则介绍一些常用的 **ItemsAdder** 主动挂钩的插件的挂钩用法：

### MMOItems

在上节我们已经介绍了物品属性，那么 **ItemsAdder** 与 **MMOItems** 挂钩正是通过物品属性进行的，我们需要对物品添加下面这个物品属性。

```
    mmoitem:
      type: SWORD
      id: TEST
```

`type` 为物品的类型，`id` 为物品的id。

例如：

```
info:
  namespace: mmoitems_example
items:
  test:
    display_name: ""
    mmoitem:
      type: SWORD
      id: TEST
    resource:
      material: DIAMOND_SWORD
      generate: true
      textures:
      - item/test.png
    durability:
      max_custom_durability: 1324
```

### MythicMobs

**ItemsAdder** 与 **MythicMobs** 的挂钩在于怪物中掉落物和装备的物品形式可以填写为：`namespace:id` 的格式。

例如：

掉落物：

```
  Drops:
    - my_items:special_sword 1-5 30%
```

装备：

```
  Equipment:
  - my_items:special_helmet HEAD
  - my_items:special_chestplate CHEST
  - my_items:special_leggings LEGS
  - my_items:special_boots FEET
  - my_items:special_sword HAND
  - my_items:special_shield OFFHAND
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.superiormc.cn/itemsadder-doc/wu-pin/wu-pin-gua-gou.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
